Subject: Re: bug#60930: 30.0.50; 24.3 Choosing File Modes section of Emacs manual does not explain dealing with backup files

From: Ihor Radchenko <[email-masked]>
Date: Thu, 19 Jan 2023 11:36:09 +0000

Eli Zaretskii <[email-masked]> writes:

> The feature of "recursive extension stripping" was already documented
> there.  I added a few words about two examples of its usage (backup
> files aren't the only one, and I see no reason to treat them specially
> in this regard, let alone have the actual regexp in the manual).
> However, I sincerely doubt that having this described in that place
> will be discoverable enough.  I also am not sure why you thought it
> was so important to mention: it's an obscure implementation detail
> intended to make Emacs DTRT, and as long it does TRT, why should users
> worry?

I thought that it is important to mention because we got a bug report
claiming that opening backups of Org files in org-mode is not expected:
https://list.orgmode.org/[email-masked]/

As for discoverability, an index entry might do.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>